// Generated by gencpp from file teleop_msgs/InterestPoseResponse.msg
// DO NOT EDIT!


#ifndef TELEOP_MSGS_MESSAGE_INTERESTPOSERESPONSE_H
#define TELEOP_MSGS_MESSAGE_INTERESTPOSERESPONSE_H


#include <string>
#include <vector>
#include <memory>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace teleop_msgs
{
template <class ContainerAllocator>
struct InterestPoseResponse_
{
  typedef InterestPoseResponse_<ContainerAllocator> Type;

  InterestPoseResponse_()
    : success(false)  {
    }
  InterestPoseResponse_(const ContainerAllocator& _alloc)
    : success(false)  {
  (void)_alloc;
    }



   typedef uint8_t _success_type;
  _success_type success;





  typedef boost::shared_ptr< ::teleop_msgs::InterestPoseResponse_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::teleop_msgs::InterestPoseResponse_<ContainerAllocator> const> ConstPtr;

}; // struct InterestPoseResponse_

typedef ::teleop_msgs::InterestPoseResponse_<std::allocator<void> > InterestPoseResponse;

typedef boost::shared_ptr< ::teleop_msgs::InterestPoseResponse > InterestPoseResponsePtr;
typedef boost::shared_ptr< ::teleop_msgs::InterestPoseResponse const> InterestPoseResponseConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::teleop_msgs::InterestPoseResponse_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::teleop_msgs::InterestPoseResponse_<ContainerAllocator> >::stream(s, "", v);
return s;
}


template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator==(const ::teleop_msgs::InterestPoseResponse_<ContainerAllocator1> & lhs, const ::teleop_msgs::InterestPoseResponse_<ContainerAllocator2> & rhs)
{
  return lhs.success == rhs.success;
}

template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator!=(const ::teleop_msgs::InterestPoseResponse_<ContainerAllocator1> & lhs, const ::teleop_msgs::InterestPoseResponse_<ContainerAllocator2> & rhs)
{
  return !(lhs == rhs);
}


} // namespace teleop_msgs

namespace ros
{
namespace message_traits
{





template <class ContainerAllocator>
struct IsMessage< ::teleop_msgs::InterestPoseResponse_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::teleop_msgs::InterestPoseResponse_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::teleop_msgs::InterestPoseResponse_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::teleop_msgs::InterestPoseResponse_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::teleop_msgs::InterestPoseResponse_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::teleop_msgs::InterestPoseResponse_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::teleop_msgs::InterestPoseResponse_<ContainerAllocator> >
{
  static const char* value()
  {
    return "358e233cde0c8a8bcfea4ce193f8fc15";
  }

  static const char* value(const ::teleop_msgs::InterestPoseResponse_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x358e233cde0c8a8bULL;
  static const uint64_t static_value2 = 0xcfea4ce193f8fc15ULL;
};

template<class ContainerAllocator>
struct DataType< ::teleop_msgs::InterestPoseResponse_<ContainerAllocator> >
{
  static const char* value()
  {
    return "teleop_msgs/InterestPoseResponse";
  }

  static const char* value(const ::teleop_msgs::InterestPoseResponse_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::teleop_msgs::InterestPoseResponse_<ContainerAllocator> >
{
  static const char* value()
  {
    return "bool success\n"
;
  }

  static const char* value(const ::teleop_msgs::InterestPoseResponse_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::teleop_msgs::InterestPoseResponse_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.success);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct InterestPoseResponse_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::teleop_msgs::InterestPoseResponse_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::teleop_msgs::InterestPoseResponse_<ContainerAllocator>& v)
  {
    s << indent << "success: ";
    Printer<uint8_t>::stream(s, indent + "  ", v.success);
  }
};

} // namespace message_operations
} // namespace ros

#endif // TELEOP_MSGS_MESSAGE_INTERESTPOSERESPONSE_H
